[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.Expand

Expand the list

## Declaration

Source position: contnrs.pp line 240

`public function TFPHashList.Expand: TFPHashList;`

## Function result

Returns self

## Description

Expand enlarges the capacity of the list if the maximum capacity was reached. It returns itself.

## Errors

If not enough memory is available, an exception may be raised.

## See also

TFPHashList.Clear |  | Clear the list

Documentation generated on: Feb 26 2014